// Benötigte Libraries werden importiert
#include <DallasTemperature.h>
#include <OneWire.h>

// Hier wird der Eingangs-Pin deklariert, an dem das Sensor-Modul angeschlossen ist
#define LKTemp2 4

// Libraries werden konfiguriert
OneWire oneWire(LKTemp2);
DallasTemperature sensors(&oneWire);

void setup() {
    // Initialisierung Serielle Ausgabe
    Serial.begin(9600);
    Serial.println("LK-Temp2 Temperaturmessung");
    // Sensor wird initialisiert
    sensors.begin();
}

//Hauptprogrammschleife
void loop()
{
    // Temperaturmessung wird gestartet...
    sensors.requestTemperatures();
    // ... und gemessene Temperatur ausgeben
    Serial.print("Temperatur: ");
    Serial.print(sensors.getTempCByIndex(0));
    Serial.println(" C");
    delay(1000); // 1s Pause bis zur nächsten Messung
}